Skip to main content
GET
/
events
/
{eventId}
Get event
curl --request GET \
  --url https://api.natural.co/events/{eventId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "type": "event",
    "id": "evt_0192abc1def2789034567890abcdef12",
    "attributes": {
      "eventType": "wallet.created",
      "resourceId": "wal_7c9e6679e29b41d4a716446655440001",
      "resourceType": "wallet",
      "payload": {
        "object": {
          "partyId": "pty_7c9e6679e29b41d4a716446655440001",
          "tier": "standard",
          "status": "active",
          "displayName": "My Wallet",
          "supportedAssets": [
            "usd"
          ],
          "freezeDetails": null,
          "createdAt": "2026-03-16T12:00:00Z",
          "updatedAt": "2026-03-16T12:00:00Z",
          "createdBy": "usr_550e8400e29b41d4a716446655440000",
          "version": 1
        }
      },
      "createdAt": "2026-03-16T12:00:00Z"
    },
    "relationships": {
      "party": {
        "data": {
          "type": "party",
          "id": "pty_7c9e6679e29b41d4a716446655440001"
        }
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Agent-ID
string | null

Agent ID (agt_xxx) identifying which agent is making the request.

X-Instance-ID
string | null

Required when X-Agent-ID is present. Session or conversation ID for agent observability.

Maximum string length: 1024

Path Parameters

eventId
string
required

Event ID (evt_xxx)

Pattern: ^evt_[0-9a-f]{32}$

Query Parameters

partyId
string

Party context for delegation

Pattern: ^pty_[0-9a-f]{32}$

Response

Successful Response

data
EventResource · object
required